"{ Package: 'stx:libtool2' }"

LibraryDefinition subclass:#stx_libtool2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!


!stx_libtool2 class methodsFor:'description - compilation'!

additionalDefinitions_nt_dot_mak
    ^ '
# see stdHeader_nt for LIBTOOL2_BASE
# LIBTOOL2_BASE   =0x65000000
LIB_BASE_LD_ARG=-b:$(LIBTOOL2_BASE)
'
! !

!stx_libtool2 class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
	"/ <className> or (<className> attributes...)
	('ColorEditDialog' #autoload)
	'DataSetBuilder'
	('DirectoryView' #autoload)
	'FileSelectionBrowser'
	('HierarchicalListEditor' #autoload)
	'ImageEditor'
	'MenuEditor'
	('MethodFinderWindow' #autoload)
	('MethodSelectionBrowser' #autoload)
	('NewInspector::NewInspectorList' #autoload)
	('NewInspector::NewInspectorListView' #autoload)
	('NewInspector::NewInspectorPanelView' #autoload)
	('NewInspector::NewInspectorView' #autoload)
	('ProjectBrowser' #autoload)
	'ResourceSelectionBrowser'
	('STXInstaller' #autoload)
	'SelectionBrowser'
	('ShellView' #autoload)
	('SnapShotImage' #autoload)
	('SnapShotImageMemory' #autoload)
	('TabListEditor' #autoload)
	('Tools::InternationalLanguageTranslationEditor' #autoload)
	'UIGalleryView'
	'UIHelpTool'
	'UILayoutTool'
	'UIObjectView'
	'UIPainter'
	'UIPainterView'
	'UISelectionPanel'
	'UISpecificationTool'
	'stx_libtool2'
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libtool2 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libtool2 class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
